
//名前空間用のオブジェクトを用意する
var CONTENTPREVIEW = {};

CONTENTPREVIEW.ready = function(){
    if(!AVWEB.avwUserSessionObj){
        AVWEB.avwCreateUserSession();
    }

    var sysSettings = AVWEB.avwSysSetting(); // get info in conf.json

    var sid = COMMON.getUrlParam('sid','');
    var contentId = COMMON.getUrlParam('contentId','');
    var urlPath = COMMON.getUrlParam('urlpath','');
    ClientData.userInfo_sid_preview(sid);
    ClientData.userInfo_sid_local_preview(sid);
    ClientData.userInfo_accountPath(urlPath);
    ClientData.contentInfo_contentId(contentId);

    ClientData.conf_apiUrl( sysSettings.apiUrl );
    ClientData.conf_apiLoginUrl( sysSettings.apiLoginUrl );
    ClientData.conf_apiResourceDlUrl( sysSettings. apiResourceDlUrl );

    //ビューア、共有表示パーツ読み込み
    $("#viewer").load("./inc_contentview.html?__UPDATEID__", function (myData, myStatus, xhr){

        //メニュー表示設定
        $('#top_toolbar').hide();
        $('#search_toolbar').hide();
        $('#close_toolbar').show();

        //読み込み完了時の処理
        I18N.i18nReplaceText();

        CONTENTPREVIEW.defaultValue = {
                pageTransition : CONTENTVIEW_GENERAL.animateTypeKeys.Type_Slide,
                pageTransitionPeriod : 1,
                bookmarkData : [],
                memoData: [],
                markingData: [],
                isMarkingDsp : false,
                isMemoDsp: false,
                userOpt_marking : 'N'
        };

        ClientData.userOpt_pageTransition(CONTENTPREVIEW.defaultValue.pageTransition);
        ClientData.userOpt_pageTransitionPeriod(CONTENTPREVIEW.defaultValue.pageTransitionPeriod);
        ClientData.BookMarkData(CONTENTPREVIEW.defaultValue.bookmarkData);
        ClientData.MemoData(CONTENTPREVIEW.defaultValue.memoData);
        ClientData.MarkingData(CONTENTPREVIEW.defaultValue.markingData);
        ClientData.userOpt_makingDsp(CONTENTPREVIEW.defaultValue.isMarkingDsp);
        ClientData.serviceOpt_marking(CONTENTPREVIEW.defaultValue.userOpt_marking);
        ClientData.IsAddingMarking(false);
        ClientData.IsAddingMemo(false);
        ClientData.IsDisplayMarking(false);
        ClientData.IsDisplayMemo(false);

        CONTENTVIEW_INITOBJECT.clearViewerComponent();
        CONTENTVIEW.cssInit();
        $("#viewer").show();

        CONTENTVIEW.ready(contentId);

    });

};

$(document).ready(function(){
    //
});
